App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes | List of all members
mhr.appcore.image.Image.FileConstants Class Reference

Třída uchovává konstanty pro čtení/zápis xml souboru popisujícího obraz. More...

## Static Public Attributes
static final String | ROOT_NODE = "Image"
static final String | INFO_NODE = "ImageInfo"
static final String | WIDTH_NODE = "Width"
static final String | HEIGHT_NODE = "Height"
static final String | DEPTH_NODE = "Depth"
static final String | NEXT_ID_NODE = "NextId"
static final String | SELECTED_STATE_NODE = "SelectedState"
static final String | SELECTED_LAYER_ID_NODE = "SelectedLayerId"
static final String | MASTER_MASK_ACTIVE_NODE = "MasterMaskActive"
static final String | IMAGE_LAYERS_NODE = "ImageLayers"
static final String | LAYER_NODE = "Layer"
static final String | LAYER_TYPE_NODE = "LayerType"
static final String | MASTER_MASK_FILE_NAME = "master_mask"

## Detailed Description

Třída uchovává konstanty pro čtení/zápis xml souboru popisujícího obraz.

Definition at line 61 of file Image.java.

## Member Data Documentation

final String mhr.appcore.image.Image.FileConstants.DEPTH_NODE = "Depth"
| static

Definition at line 66 of file Image.java.

final String mhr.appcore.image.Image.FileConstants.HEIGHT_NODE = "Height"
| static

Definition at line 65 of file Image.java.

final String mhr.appcore.image.Image.FileConstants.IMAGE_LAYERS_NODE = "ImageLayers"
| static

Definition at line 71 of file Image.java.

final String mhr.appcore.image.Image.FileConstants.INFO_NODE = "ImageInfo"
| static

Definition at line 63 of file Image.java.

final String mhr.appcore.image.Image.FileConstants.LAYER_NODE = "Layer"
| static

Definition at line 72 of file Image.java.

final String mhr.appcore.image.Image.FileConstants.LAYER_TYPE_NODE = "LayerType"
| static

Definition at line 73 of file Image.java.

final String mhr.appcore.image.Image.FileConstants.MASTER_MASK_ACTIVE_NODE = "MasterMaskActive"
| static

Definition at line 70 of file Image.java.

final String mhr.appcore.image.Image.FileConstants.MASTER_MASK_FILE_NAME = "master_mask"
| static

Definition at line 75 of file Image.java.

final String mhr.appcore.image.Image.FileConstants.NEXT_ID_NODE = "NextId"
| static

Definition at line 67 of file Image.java.

final String mhr.appcore.image.Image.FileConstants.ROOT_NODE = "Image"
| static

Definition at line 62 of file Image.java.

final String mhr.appcore.image.Image.FileConstants.SELECTED_LAYER_ID_NODE = "SelectedLayerId"
| static

Definition at line 69 of file Image.java.

final String mhr.appcore.image.Image.FileConstants.SELECTED_STATE_NODE = "SelectedState"
| static

Definition at line 68 of file Image.java.

final String mhr.appcore.image.Image.FileConstants.WIDTH_NODE = "Width"
| static

Definition at line 64 of file Image.java.

The documentation for this class was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appcore/src/mhr/appcore/image/Image.java